Gradle

Clone Tools
  • last updated a few seconds ago
Constraints
Constraints: committers
 
Constraints: files
Constraints: dates
Fix more tests by expecting deprecation warning

Merge pull request #9880 from gradle/lptr/build-cache/issue-9877

Use UTF-8 when extracting build cache artifacts

Temporarily ignore in order to get a passing build on older API

Fix Gradleception build

This commit will call the new resolution API if the build is running with

it, or do nothing if it's using a version of Gradle which doesn't support

this API.

The Groovy script is cached in order to avoid the overhead of parsing the

same script multiple times for different projects.

Fix Gradleception build

This commit will call the new resolution API if the build is running with

it, or do nothing if it's using a version of Gradle which doesn't support

this API.

Fix Gradleception build

This commit will call the new resolution API if the build is running with

it, or do nothing if it's using a version of Gradle which doesn't support

this API.

The Groovy script is cached in order to avoid the overhead of parsing the

same script multiple times for different projects.

Fix Gradleception build

This commit will call the new resolution API if the build is running with

it, or do nothing if it's using a version of Gradle which doesn't support

this API.

Make field private

Make field private

Refactor code

Refactor code

Resolve some review item

  1. … 5 more files in changeset.
Resolve some review item

  1. … 5 more files in changeset.
Resolve some review item

  1. … 5 more files in changeset.
Resolve some review item

  1. … 5 more files in changeset.
Update documentation of capability handling

Update documentation of capability handling

Update documentation of capability handling

Use since 5.6 instead of 6.0

This should make binary compatibility checks pass and we can

decide whether to include in 5.6 or not.

Use since 5.6 instead of 6.0

This should make binary compatibility checks pass and we can

decide whether to include in 5.6 or not.

Use since 5.6 instead of 6.0

This should make binary compatibility checks pass and we can

decide whether to include in 5.6 or not.

Fix caching of deprecated classloader

- use uniqye identifier and avoid same identifier as non deprecated loader

- fix more tests now expecting deprecation warning

Recognize contribution

    • -0
    • +1
    /subprojects/docs/src/docs/release/notes.md
Catch exception

Skip empty

Fetch all

Modify sql

Only check in errors (#9967)

As proposed in https://github.com/gradle/gradle-private/issues/2171 , we want to mark some violations as error in IDEA so we can catch them before pushing to CI.

    • -1
    • +22
    /.idea/inspectionProfiles/Gradle.xml
Handle unexpected attribute types, desugar lazily

Update released version to latest snapshot